Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
subscriptionlist.php File Reference

Go to the source code of this file.

## Variables
| $Language = $ini->variable( "eZBulkMailMain", "Language" )
| $TemplateDir = $ini->variable( "eZBulkMailMain", "TemplateDir" )
if( $ini->variable("eZBulkMailMain", "UseEZUser")=="enabled") | else
if(is_object( $subscriptionaddress)==false) if(isset( $Ok)) | $t
| $haystack = $subscriptionaddress->subscriptions( false )
| $categories = eZBulkMailCategory::getAll( false )

## Variable Documentation

## ◆ $categories

$categories = eZBulkMailCategory::getAll( false )

Definition at line 102 of file subscriptionlist.php.

## ◆ $haystack

$haystack = $subscriptionaddress->subscriptions( false )

Definition at line 100 of file subscriptionlist.php.

Referenced by ezuspsservices\getresult(), eZCodePageMapper\strpos(), eZMBStringMapper\strpos(), eZCodePageMapper\strrpos(), and eZMBStringMapper\strrpos().

## ◆ $Language

$Language = $ini->variable( "eZBulkMailMain", "Language" )

Definition at line 36 of file subscriptionlist.php.

## ◆ $t

if (is_object($subscriptionaddress)==false) if (isset($Ok)) $t

Initial value:
= new eZTemplate( "kernel/ezbulkmail/user/" . $ini->variable( "eZBulkMailMain", "TemplateDir" ),
"kernel/ezbulkmail/user/intl", $Language, "subscriptionlist.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$Language
$Language
Definition: subscriptionlist.php:36

Definition at line 81 of file subscriptionlist.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZBulkMailMain", "TemplateDir" )

Definition at line 37 of file subscriptionlist.php.

## ◆ else

foreach ($categories as $categoryitem) if ($i > 0) else

Initial value:
{
$subscriptionaddress = eZBulkMailSubscriptionAddress::getByEmail( $session->variable( "BulkMailAddress" ) )
$session
$session
Definition: admin/articlelist.php:44
eZBulkMailSubscriptionAddress\getByEmail
getByEmail( $email)
Definition: ezbulkmailsubscriptionaddress.php:150

Definition at line 49 of file subscriptionlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.